PGAGetMutationOrCrossoverFlag(8)

NAME
PGAGetMutationOrCrossoverFlag - Returns true if mutation only occurs when crossover does not.

INPUT PARAMETERS
ctx - context variable

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
int  PGAGetMutationOrCrossoverFlag(ctx)
PGAContext *ctx

LOCATION
pga.c

EXAMPLE
Example:
PGAContext *ctx;
int mutatetype;
:
mutatetype = PGAGetMutationOrCrossoverFlag(ctx);
switch (mutatetype) {
case PGA_TRUE:
printf("Only mutating strings not undergoing crossover);
break;
case PGA_FALSE:
printf("Mutating strings only after crossover);
break;
}